// Field declarations

class A { }
class B extends A { }

class X { 
    X(int x) { }
    X(boolean b) { }

    A f = new B();
}

class Main {
    static public void main(String[] args) /*throws Exception*/ {
	X c = new X(5); // c.f should have disjoint pointsto set from d.f, and from e.f.
	X d = new X(true);
	X e = new X(7);
    }
}
